GET /techsupport/{uuid}

GET /techsupport/{uuid}

/techsupport/{uuid}/{uuid}

Request
URI
GET
https://{api_host}/api/techsupport/{uuid}
COPY
Path Parameters
string
uuid
Required

UUID of the object to fetch

Query Parameters
string
name
Optional

object name

string
fields
Optional

List of fields to be returned for the resource. Some fields like name, URL, uuid etc. are always returned.

boolean
include_name
Optional

All the Avi REST reference URIs have a name suffix as URI#name. It is useful to get the referenced resource name without performing get on that object.

boolean
skip_default
Optional

Default values are not set.

string
join_subresources
Optional

It automatically returns additional dependent resources like runtime. Eg. join_subresources=runtime.

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns TechSupport of type(s) application/json
{
    "_last_modified": "string",
    "case_number": "string",
    "description": "string",
    "duration": 0,
    "end_time": "string",
    "errors": [
        "string"
    ],
    "level": "string",
    "name": "string",
    "node": "string",
    "obj_name": "string",
    "obj_uuid": "string",
    "output": "string",
    "params": {
        "case_number": "string",
        "description": "string",
        "duration": "string",
        "event_params": {
            "collect_all_events": false,
            "days": 0,
            "files": 0
        },
        "level": "string",
        "name": "string",
        "pattern": "string",
        "skip_warnings": false,
        "slug": "string",
        "start_timestamp": "string",
        "tenant": "string",
        "uuid": "string"
    },
    "progress": 0,
    "size": "number",
    "start_time": "string",
    "state": {
        "last_changed_time": {
            "secs": 0,
            "usecs": 0
        },
        "reason": "string",
        "state": "string"
    },
    "tasks": [
        {
            "description": "string",
            "details": [
                "string"
            ],
            "duration": 0,
            "end_time": "string",
            "start_time": "string",
            "status": "string",
            "sub_events": [
                {
                    "duration": 0,
                    "end_time": "string",
                    "ip": {
                        "addr": "string",
                        "type": "string"
                    },
                    "message": "string",
                    "start_time": "string",
                    "status": false,
                    "sub_tasks": [
                        "string"
                    ]
                }
            ],
            "task_name": "string"
        }
    ],
    "tasks_completed": 0,
    "techsupport_readiness": {
        "checks": [
            {
                "check_code": "string",
                "description": "string",
                "details": [
                    "string"
                ],
                "duration": 0,
                "end_time": "string",
                "error_details": [
                    "string"
                ],
                "start_time": "string",
                "state": "string"
            }
        ],
        "checks_completed": 0,
        "duration": 0,
        "end_time": "string",
        "progress": 0,
        "start_time": "string",
        "state": {
            "last_changed_time": {
                "secs": 0,
                "usecs": 0
            },
            "reason": "string",
            "state": "string"
        },
        "total_checks": 0
    },
    "tenant_ref": "string",
    "total_tasks": 0,
    "url": "string",
    "uuid": "string",
    "warnings": [
        "string"
    ]
}
string
_last_modified
Optional

UNIX time since epoch in microseconds. Units(MICROSECONDS).

string
case_number
Optional

'Customer case number for which this techsupport is generated. ''Useful for connected portal and other use-cases.'. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

string
description
Optional

User provided description to capture additional details and context regarding the techsupport invocation. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

integer As uint32 As uint32
duration
Optional

Total time taken for techsupport collection. Field introduced in 31.2.1. Unit is SEC. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

string
end_time
Optional

End timestamp of techsupport collection. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

array of string
errors
Optional

Error logged during techsupport collection. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

string
level
Optional

Name of the techsupport level. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

string
name
Optional

Name of techsupport invocation. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

string
node
Optional

Cluster member node on which the techsupport tarball bundle is saved. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

string
obj_name
Optional

Object name if one exists. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

string
obj_uuid
Optional

Techsupport collection object uuid specified for different objects such as SE/VS/Pool etc. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

string
output
Optional

Techsupport collection output file path. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

object
params
Optional

params

integer As uint32 As uint32
progress
Optional

Techsupport collection progress which holds value between 0-100. Allowed values are 0-100. Field introduced in 31.2.1. Unit is PERCENT. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

number As double As double
size
Optional

Size of collected techsupport tarball. Field introduced in 31.2.1. Unit is MB. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

string
start_time
Optional

Start timestamp of techsupport collection. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

object
state
Optional

state

array of object
tasks
Optional

Events performed for techsupport collection. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

integer As int32 As int32
tasks_completed
Optional

Completed set of tasks in the techsupport collection. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

object
techsupport_readiness
Optional

techsupport_readiness

string
tenant_ref
Optional

Tenant UUID associated with the techsupport. It is a reference to an object of type Tenant. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

integer As int32 As int32
total_tasks
Optional

Total number of tasks in the techsupport collection. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

string
url
Optional

url

string
uuid
Optional

UUID Identifier for the techsupport invocation. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

array of string
warnings
Optional

Warning logged during techsupport collection. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/techsupport/{uuid}